This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 432648 - httpd has got a problem with encoded URLs
httpd has got a problem with encoded URLs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 11:28 EST by Patrick Holz
Modified: 2012-05-14 04:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 04:15:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Holz 2008-02-13 11:28:22 EST
Description of problem:

We use httpd (apache) as a reverse proxy for several underlying web servers. Now
especially in the case of a wiki, URLs may contain a percentage sign (%). This
is encoded as ASCII Hex ("%25"). But the reverse proxy sets it back to "%", so
there is no result but an error page.

Version-Release number of selected component (if applicable):

httpd-2.0.46-70.ent

How reproducible:

Everytime we try to use it.

Steps to Reproduce:
1. Configure httpd to act as a reverse proxy
2. Enter a URL including the encoded percentage sign (i.e. "%25")
  
Actual results:

The reverse proxy says "everything is okay" in the logfiles (even on maximum log
level), but asks the web server only for error page 400 (Bad request) and
delivers it.

Expected results:

The reverse proxy should forward the request "as it is" to the web server.

Additional info:

Selfmade apache (version 2.0.61) is working without this problem on RHEL3.

Note You need to log in before you can comment on or make changes to this bug.